import { Plugin } from 'esbuild';
import browserslist from 'browserslist';
import { CSSModulesConfig } from 'lightningcss';
import { transformLess } from './transform-less';
import { convertLessError } from './less-utils';
export { transformLess, convertLessError };
type StyleLoaderOptions = {
    filter?: RegExp;
    namespace?: string[];
    cssModules?: CSSModulesConfig;
    browserslist?: Parameters<typeof browserslist>;
};
export declare const styleLoader: (options?: StyleLoaderOptions) => Plugin;
